Singularity requires numpy

cosurgi

http://janek.kozicki.pl/
Joined
Jul 30, 2008
Messages
1,098
Location
Gdansk, Poland
Website
janek.kozicki.pl
Hi,


I just tried to run singularity. It's all in python so I just copied all files from debian to pandora and ran it.


And I got error message: singularity requires numpy.


I tried 'opkg install python-numpy' but I wasn't that lucky.


Any ideas?
 

cosurgi

http://janek.kozicki.pl/
Joined
Jul 30, 2008
Messages
1,098
Location
Gdansk, Poland
Website
janek.kozicki.pl
Well, numpy-python from angstrom is not for python 2.4 but for 2.5 so it is impossible to install from angstrom repo. Installing it by hand requires fortran and gcc compilers, since numpy is not all python, but some parts are optimized.


Eventually I tried running singularity under PanDebian in squeeze and it sort of worked: game starts, music & FX work, fullscreen works. Looks like everything works, except that it's not possible to play - when I start a new game I don't have any CPUs to do research and main meny appears as if I just had lost. Weird. But that looks like a bug in python code of the game which occurs only on arm.
 

Tavin

Still Fresh
Joined
May 31, 2010
Messages
51
Same here, I want to play endgame: singularity on my pandy.


the error I get in response to "sudo opkg install python-numpy"

Collected errors:


* opkg_install_cmd: Cannot install package python-numpy.
I got the same message after a typo, that is why I assumed there is no package "python-numpy".


So I ran "opkg list" , and indeed the list contained several python packages but no numpy.


from what I did read so far, opkg is capable of offline installation, maybe that's worth a try
 
Top